// Style additions to blazy media
.media {

  // Icons
  &__icon {

    &--play,
    &--close,
    &--spinner {
      --icon-size: var(--icon-size-xl);
      background: none !important;
      border: 0 none !important;
      font-size: var(--icon-size);
      // The Button needs to be larger, because the iconfont icon will not equal
      // this dimensions, its most likely a little larger.
      width: calc(var(--icon-size) + (var(--icon-size) * 0.33));
      height: calc(var(--icon-size) + (var(--icon-size) * 0.33));

      .ico {
        --icon-size: inherit;
      }
    }

    &--play {
      border-color: transparent;

      color: var(--bs-white);
      text-shadow: 0 0 8px rgba(0, 0, 0, 0.6);

      > i{
        // Something is weird with the play button. The iframe wont be loaded,
        // if the click is performed on the icon (within the button).
        // So pass the click to the button.
        pointer-events:none;
      }
      &:hover {
        border-color: transparent;
      }

      &::before {
        // Replaced with icomoon
        display: none;
      }
    }

    &--close {
      &:hover {

        &::before,
        &::after {
          background-color: var(--bs-white);
        }
      }
    }
  }

  // (Remote) Video
  &--switch {
    .media__image {
      max-width: none;
      width: 100%;
    }
  }

  &--player {
    background-color: var(--bs-black);
  }
}
